[arch-commits] Commit in gst-plugins-bad/repos (4 files)

Jan Steffens heftig at archlinux.org
Mon Nov 10 23:52:57 UTC 2014


    Date: Tuesday, November 11, 2014 @ 00:52:56
  Author: heftig
Revision: 226002

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  gst-plugins-bad/repos/extra-i686/PKGBUILD
    (from rev 226000, gst-plugins-bad/trunk/PKGBUILD)
  gst-plugins-bad/repos/extra-x86_64/PKGBUILD
    (from rev 226001, gst-plugins-bad/trunk/PKGBUILD)
Deleted:
  gst-plugins-bad/repos/extra-i686/PKGBUILD
  gst-plugins-bad/repos/extra-x86_64/PKGBUILD

-----------------------+
 /PKGBUILD             |   84 ++++++++++++++++++++++++++++++++++++++++++++++++
 extra-i686/PKGBUILD   |   42 ------------------------
 extra-x86_64/PKGBUILD |   42 ------------------------
 3 files changed, 84 insertions(+), 84 deletions(-)

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2014-11-10 23:52:44 UTC (rev 226001)
+++ extra-i686/PKGBUILD	2014-11-10 23:52:56 UTC (rev 226002)
@@ -1,42 +0,0 @@
-# $Id$
-# Maintainer: Jan de Groot <jgc at archlinux.org>
-
-pkgname=gst-plugins-bad
-pkgver=1.4.3
-pkgrel=1
-pkgdesc="GStreamer Multimedia Framework Bad Plugins"
-arch=('i686' 'x86_64')
-license=('LGPL')
-url="http://gstreamer.freedesktop.org/"
-depends=('mjpegtools' 'gst-plugins-base-libs' 'curl' 'chromaprint' 'libmms' 'faad2' 'mpg123' 'faac' 'celt' 'libdca' 'soundtouch' 'spandsp' 'libdvdnav' 'libmodplug' 'libgme' 'opus' 'wayland' 'neon' 'libofa' 'fluidsynth' 'openjpeg' 'libwebp' 'libsrtp' 'gnutls' 'wildmidi' 'glu' 'sbc')
-makedepends=('schroedinger' 'libexif' 'libdvdread' 'libvdpau' 'libmpeg2' 'python' 'valgrind' 'wildmidi' 'librsvg'
-             'gobject-introspection' 'gtk-doc' 'gtk3' 'clutter' 'opencv' 'libtiger' 'ladspa' 'openal' 'libusb')
-options=(!emptydirs)
-source=(${url}/src/$pkgname/$pkgname-$pkgver.tar.xz)
-sha256sums=('a6840080c469d0db51d6d4d0f7c42c97b3c8c01942f24401c61b1ad36726b97c')
-
-build() {
-  cd $pkgname-$pkgver
-
-  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
-    --disable-static --enable-experimental --enable-gtk-doc \
-    --with-package-name="GStreamer Bad Plugins (Arch Linux)" \
-    --with-package-origin="http://www.archlinux.org/" \
-    --with-gtk=3.0
-
-  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-
-  make
-}
-
-check() {
-  cd $pkgname-$pkgver
-  # don't have a camera for the camerabin test
-  make -k check || :
-}
-
-package() {
-  cd $pkgname-$pkgver
-  make DESTDIR="${pkgdir}" install
-}

Copied: gst-plugins-bad/repos/extra-i686/PKGBUILD (from rev 226000, gst-plugins-bad/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2014-11-10 23:52:56 UTC (rev 226002)
@@ -0,0 +1,42 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=gst-plugins-bad
+pkgver=1.4.4
+pkgrel=1
+pkgdesc="GStreamer Multimedia Framework Bad Plugins"
+arch=('i686' 'x86_64')
+license=('LGPL')
+url="http://gstreamer.freedesktop.org/"
+depends=('mjpegtools' 'gst-plugins-base-libs' 'curl' 'chromaprint' 'libmms' 'faad2' 'mpg123' 'faac' 'celt' 'libdca' 'soundtouch' 'spandsp' 'libdvdnav' 'libmodplug' 'libgme' 'opus' 'wayland' 'neon' 'libofa' 'fluidsynth' 'openjpeg' 'libwebp' 'libsrtp' 'gnutls' 'wildmidi' 'glu' 'sbc')
+makedepends=('schroedinger' 'libexif' 'libdvdread' 'libvdpau' 'libmpeg2' 'python' 'valgrind' 'wildmidi' 'librsvg'
+             'gobject-introspection' 'gtk-doc' 'gtk3' 'clutter' 'opencv' 'libtiger' 'ladspa' 'openal' 'libusb')
+options=(!emptydirs)
+source=(${url}/src/$pkgname/$pkgname-$pkgver.tar.xz)
+sha256sums=('e41b36105c0a13a2cb1ff9f559714e839b82dc3841484cd664790fb7947e55c7')
+
+build() {
+  cd $pkgname-$pkgver
+
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
+    --disable-static --enable-experimental --enable-gtk-doc \
+    --with-package-name="GStreamer Bad Plugins (Arch Linux)" \
+    --with-package-origin="http://www.archlinux.org/" \
+    --with-gtk=3.0
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  # don't have a camera for the camerabin test
+  make -k check || :
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="${pkgdir}" install
+}

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2014-11-10 23:52:44 UTC (rev 226001)
+++ extra-x86_64/PKGBUILD	2014-11-10 23:52:56 UTC (rev 226002)
@@ -1,42 +0,0 @@
-# $Id$
-# Maintainer: Jan de Groot <jgc at archlinux.org>
-
-pkgname=gst-plugins-bad
-pkgver=1.4.3
-pkgrel=1
-pkgdesc="GStreamer Multimedia Framework Bad Plugins"
-arch=('i686' 'x86_64')
-license=('LGPL')
-url="http://gstreamer.freedesktop.org/"
-depends=('mjpegtools' 'gst-plugins-base-libs' 'curl' 'chromaprint' 'libmms' 'faad2' 'mpg123' 'faac' 'celt' 'libdca' 'soundtouch' 'spandsp' 'libdvdnav' 'libmodplug' 'libgme' 'opus' 'wayland' 'neon' 'libofa' 'fluidsynth' 'openjpeg' 'libwebp' 'libsrtp' 'gnutls' 'wildmidi' 'glu' 'sbc')
-makedepends=('schroedinger' 'libexif' 'libdvdread' 'libvdpau' 'libmpeg2' 'python' 'valgrind' 'wildmidi' 'librsvg'
-             'gobject-introspection' 'gtk-doc' 'gtk3' 'clutter' 'opencv' 'libtiger' 'ladspa' 'openal' 'libusb')
-options=(!emptydirs)
-source=(${url}/src/$pkgname/$pkgname-$pkgver.tar.xz)
-sha256sums=('a6840080c469d0db51d6d4d0f7c42c97b3c8c01942f24401c61b1ad36726b97c')
-
-build() {
-  cd $pkgname-$pkgver
-
-  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
-    --disable-static --enable-experimental --enable-gtk-doc \
-    --with-package-name="GStreamer Bad Plugins (Arch Linux)" \
-    --with-package-origin="http://www.archlinux.org/" \
-    --with-gtk=3.0
-
-  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-
-  make
-}
-
-check() {
-  cd $pkgname-$pkgver
-  # don't have a camera for the camerabin test
-  make -k check || :
-}
-
-package() {
-  cd $pkgname-$pkgver
-  make DESTDIR="${pkgdir}" install
-}

Copied: gst-plugins-bad/repos/extra-x86_64/PKGBUILD (from rev 226001, gst-plugins-bad/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2014-11-10 23:52:56 UTC (rev 226002)
@@ -0,0 +1,42 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=gst-plugins-bad
+pkgver=1.4.4
+pkgrel=1
+pkgdesc="GStreamer Multimedia Framework Bad Plugins"
+arch=('i686' 'x86_64')
+license=('LGPL')
+url="http://gstreamer.freedesktop.org/"
+depends=('mjpegtools' 'gst-plugins-base-libs' 'curl' 'chromaprint' 'libmms' 'faad2' 'mpg123' 'faac' 'celt' 'libdca' 'soundtouch' 'spandsp' 'libdvdnav' 'libmodplug' 'libgme' 'opus' 'wayland' 'neon' 'libofa' 'fluidsynth' 'openjpeg' 'libwebp' 'libsrtp' 'gnutls' 'wildmidi' 'glu' 'sbc')
+makedepends=('schroedinger' 'libexif' 'libdvdread' 'libvdpau' 'libmpeg2' 'python' 'valgrind' 'wildmidi' 'librsvg'
+             'gobject-introspection' 'gtk-doc' 'gtk3' 'clutter' 'opencv' 'libtiger' 'ladspa' 'openal' 'libusb')
+options=(!emptydirs)
+source=(${url}/src/$pkgname/$pkgname-$pkgver.tar.xz)
+sha256sums=('e41b36105c0a13a2cb1ff9f559714e839b82dc3841484cd664790fb7947e55c7')
+
+build() {
+  cd $pkgname-$pkgver
+
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
+    --disable-static --enable-experimental --enable-gtk-doc \
+    --with-package-name="GStreamer Bad Plugins (Arch Linux)" \
+    --with-package-origin="http://www.archlinux.org/" \
+    --with-gtk=3.0
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  # don't have a camera for the camerabin test
+  make -k check || :
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="${pkgdir}" install
+}


More information about the arch-commits mailing list